index 7867fe3..6f450b2 100644
--- a/drivers/video/bcm2835.c
+++ b/drivers/video/bcm2835.c
@@ -102,14 +102,16 @@ void lcd_ctrl_init(void *lcdbase)
        panel_info.vl_col = w;
        panel_info.vl_row = h;
        panel_info.vl_bpix = LCD_COLOR16;
-
-       gd->fb_base = msg_setup->allocate_buffer.body.resp.fb_address;
+    panel_info.cmap=malloc(256 * NBITS(panel_info.vl_bpix) / 8);
+    gd->fb_base = msg_setup->allocate_buffer.body.resp.fb_address;
+    gd->fb_base &= ~0xc0000000;
 }

 void lcd_enable(void)
 {
 }

+
 int lcd_get_size(int *line_length)
 {
        *line_length = bcm2835_pitch;